Configurations
the query to filter configurations by, e.g. name:agent-1
filter by configuration type, e.g. kubernetes-workload
the selector to filter configurations by, e.g. configuration=my-config
the pagination offset
the maximum number of results to return
OK
Unauthorized
Internal Server Error
GET /v1/configurations HTTP/1.1
Accept: */*
{
"configurations": [
{
"apiVersion": "string",
"kind": "string",
"metadata": {
"additionalInfo": {
"documentation": [
{
"text": "text",
"url": "text"
}
],
"message": "string"
},
"blueprintTags": {
"ANY_ADDITIONAL_PROPERTY": [
"text"
]
},
"dateModified": "text",
"deprecated": true,
"description": "string",
"displayName": "string",
"hash": "text",
"icon": "string",
"id": "string",
"labels": {},
"name": "string",
"resourceDocLink": "string",
"stability": "string",
"version": 1,
"warning": "string"
},
"spec": {
"configurations": [
"[Circular Reference]"
],
"connectors": [
"[Circular Reference]"
],
"contentType": "text",
"destinations": [
"[Circular Reference]"
],
"disableLegacyEnvVarNormalization": true,
"extensions": [
"[Circular Reference]"
],
"measurementInterval": "text",
"parameters": [
{
"credential": true,
"name": "text",
"sensitive": true,
"value": null
}
],
"processors": [
"[Circular Reference]"
],
"raw": "text",
"rollout": {
"connectors": "[Circular Reference]",
"description": "text",
"destinations": "[Circular Reference]",
"disabled": true,
"displayName": "text",
"id": "text",
"licenseEnabled": true,
"name": "text",
"parameters": [
{
"credential": true,
"name": "text",
"sensitive": true,
"value": null
}
],
"presetTarget": {
"type": "text",
"versionConstraint": "text"
},
"processors": "[Circular Reference]",
"public": true,
"recommendation": "text",
"routes": {
"logs": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"traces": [
{
"components": [
"exit"
],
"id": "text"
}
]
},
"secOpsPipelineName": "text",
"skipConfiguration": true,
"sources": "[Circular Reference]",
"telemetryExample": {
"after": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"before": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"telemetryType": "text"
},
"type": "text",
"version": "text"
},
"selector": {
"matchLabels": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"sources": [
"[Circular Reference]"
],
"topologyInterval": "text",
"type": "text"
},
"status": {
"current": true,
"currentVersion": -2,
"latest": true,
"pending": true,
"pendingVersion": -2,
"rollout": {
"completedAt": "text",
"name": "text",
"options": {
"maxErrors": 1,
"phaseAgentCount": {
"initial": 1,
"maximum": 1,
"multiplier": 1,
"type": "adaptive"
},
"startAutomatically": true
},
"phase": 1,
"progress": {
"completed": 1,
"errors": 1,
"incompatible": 1,
"pending": 1,
"waiting": 1
},
"stage": 1,
"stages": [
{
"labels": {},
"name": "text",
"progress": {
"completed": 1,
"errors": 1,
"incompatible": 1,
"pending": 1,
"waiting": 1
},
"startedAt": "text"
}
],
"startedAt": "text",
"status": 0
}
}
}
]
}the name of the Configuration
OK
Unauthorized
Not Found
Internal Server Error
GET /v1/configurations/{name} HTTP/1.1
Accept: */*
{
"configuration": {
"apiVersion": "string",
"kind": "string",
"metadata": {
"additionalInfo": {
"documentation": [
{
"text": "text",
"url": "text"
}
],
"message": "string"
},
"blueprintTags": {
"ANY_ADDITIONAL_PROPERTY": [
"text"
]
},
"dateModified": "text",
"deprecated": true,
"description": "string",
"displayName": "string",
"hash": "text",
"icon": "string",
"id": "string",
"labels": {},
"name": "string",
"resourceDocLink": "string",
"stability": "string",
"version": 1,
"warning": "string"
},
"spec": {
"configurations": [
{
"connectors": "[Circular Reference]",
"description": "text",
"destinations": "[Circular Reference]",
"disabled": true,
"displayName": "text",
"id": "text",
"licenseEnabled": true,
"name": "text",
"parameters": [
{
"credential": true,
"name": "text",
"sensitive": true,
"value": null
}
],
"presetTarget": {
"type": "text",
"versionConstraint": "text"
},
"processors": "[Circular Reference]",
"public": true,
"recommendation": "text",
"routes": {
"logs": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"traces": [
{
"components": [
"exit"
],
"id": "text"
}
]
},
"secOpsPipelineName": "text",
"skipConfiguration": true,
"sources": "[Circular Reference]",
"telemetryExample": {
"after": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"before": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"telemetryType": "text"
},
"type": "text",
"version": "text"
}
],
"connectors": [
{
"connectors": "[Circular Reference]",
"description": "text",
"destinations": "[Circular Reference]",
"disabled": true,
"displayName": "text",
"id": "text",
"licenseEnabled": true,
"name": "text",
"parameters": [
{
"credential": true,
"name": "text",
"sensitive": true,
"value": null
}
],
"presetTarget": {
"type": "text",
"versionConstraint": "text"
},
"processors": "[Circular Reference]",
"public": true,
"recommendation": "text",
"routes": {
"logs": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"traces": [
{
"components": [
"exit"
],
"id": "text"
}
]
},
"secOpsPipelineName": "text",
"skipConfiguration": true,
"sources": "[Circular Reference]",
"telemetryExample": {
"after": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"before": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"telemetryType": "text"
},
"type": "text",
"version": "text"
}
],
"contentType": "text",
"destinations": [
{
"connectors": "[Circular Reference]",
"description": "text",
"destinations": "[Circular Reference]",
"disabled": true,
"displayName": "text",
"id": "text",
"licenseEnabled": true,
"name": "text",
"parameters": [
{
"credential": true,
"name": "text",
"sensitive": true,
"value": null
}
],
"presetTarget": {
"type": "text",
"versionConstraint": "text"
},
"processors": "[Circular Reference]",
"public": true,
"recommendation": "text",
"routes": {
"logs": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"traces": [
{
"components": [
"exit"
],
"id": "text"
}
]
},
"secOpsPipelineName": "text",
"skipConfiguration": true,
"sources": "[Circular Reference]",
"telemetryExample": {
"after": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"before": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"telemetryType": "text"
},
"type": "text",
"version": "text"
}
],
"disableLegacyEnvVarNormalization": true,
"extensions": [
{
"connectors": "[Circular Reference]",
"description": "text",
"destinations": "[Circular Reference]",
"disabled": true,
"displayName": "text",
"id": "text",
"licenseEnabled": true,
"name": "text",
"parameters": [
{
"credential": true,
"name": "text",
"sensitive": true,
"value": null
}
],
"presetTarget": {
"type": "text",
"versionConstraint": "text"
},
"processors": "[Circular Reference]",
"public": true,
"recommendation": "text",
"routes": {
"logs": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"traces": [
{
"components": [
"exit"
],
"id": "text"
}
]
},
"secOpsPipelineName": "text",
"skipConfiguration": true,
"sources": "[Circular Reference]",
"telemetryExample": {
"after": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"before": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"telemetryType": "text"
},
"type": "text",
"version": "text"
}
],
"measurementInterval": "text",
"parameters": [
{
"credential": true,
"name": "text",
"sensitive": true,
"value": null
}
],
"processors": [
{
"connectors": "[Circular Reference]",
"description": "text",
"destinations": "[Circular Reference]",
"disabled": true,
"displayName": "text",
"id": "text",
"licenseEnabled": true,
"name": "text",
"parameters": [
{
"credential": true,
"name": "text",
"sensitive": true,
"value": null
}
],
"presetTarget": {
"type": "text",
"versionConstraint": "text"
},
"processors": "[Circular Reference]",
"public": true,
"recommendation": "text",
"routes": {
"logs": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"traces": [
{
"components": [
"exit"
],
"id": "text"
}
]
},
"secOpsPipelineName": "text",
"skipConfiguration": true,
"sources": "[Circular Reference]",
"telemetryExample": {
"after": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"before": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"telemetryType": "text"
},
"type": "text",
"version": "text"
}
],
"raw": "text",
"rollout": {
"connectors": [
"[Circular Reference]"
],
"description": "text",
"destinations": [
"[Circular Reference]"
],
"disabled": true,
"displayName": "text",
"id": "text",
"licenseEnabled": true,
"name": "text",
"parameters": [
{
"credential": true,
"name": "text",
"sensitive": true,
"value": null
}
],
"presetTarget": {
"type": "text",
"versionConstraint": "text"
},
"processors": [
"[Circular Reference]"
],
"public": true,
"recommendation": "text",
"routes": {
"logs": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"traces": [
{
"components": [
"exit"
],
"id": "text"
}
]
},
"secOpsPipelineName": "text",
"skipConfiguration": true,
"sources": [
"[Circular Reference]"
],
"telemetryExample": {
"after": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"before": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"telemetryType": "text"
},
"type": "text",
"version": "text"
},
"selector": {
"matchLabels": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"sources": [
{
"connectors": "[Circular Reference]",
"description": "text",
"destinations": "[Circular Reference]",
"disabled": true,
"displayName": "text",
"id": "text",
"licenseEnabled": true,
"name": "text",
"parameters": [
{
"credential": true,
"name": "text",
"sensitive": true,
"value": null
}
],
"presetTarget": {
"type": "text",
"versionConstraint": "text"
},
"processors": "[Circular Reference]",
"public": true,
"recommendation": "text",
"routes": {
"logs": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"logs+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics": [
{
"components": [
"exit"
],
"id": "text"
}
],
"metrics+traces": [
{
"components": [
"exit"
],
"id": "text"
}
],
"traces": [
{
"components": [
"exit"
],
"id": "text"
}
]
},
"secOpsPipelineName": "text",
"skipConfiguration": true,
"sources": "[Circular Reference]",
"telemetryExample": {
"after": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"before": {
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"body": null,
"observedTimestamp": "text",
"resource": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"severityNumber": 1,
"severityText": "text",
"timestamp": "text"
},
"telemetryType": "text"
},
"type": "text",
"version": "text"
}
],
"topologyInterval": "text",
"type": "text"
},
"status": {
"current": true,
"currentVersion": -2,
"latest": true,
"pending": true,
"pendingVersion": -2,
"rollout": {
"completedAt": "text",
"name": "text",
"options": {
"maxErrors": 1,
"phaseAgentCount": {
"initial": 1,
"maximum": 1,
"multiplier": 1,
"type": "adaptive"
},
"startAutomatically": true
},
"phase": 1,
"progress": {
"completed": 1,
"errors": 1,
"incompatible": 1,
"pending": 1,
"waiting": 1
},
"stage": 1,
"stages": [
{
"labels": {},
"name": "text",
"progress": {
"completed": 1,
"errors": 1,
"incompatible": 1,
"pending": 1,
"waiting": 1
},
"startedAt": "text"
}
],
"startedAt": "text",
"status": 0
}
}
},
"raw": "text"
}the name of the configuration to delete
Successful Delete, no content
No content
Unauthorized
Not Found
Internal Server Error
DELETE /v1/configurations/{name} HTTP/1.1
Accept: */*
No content
the name of the configuration to duplicate
The intended name of the duplicated config
Successful Copy, created
No content
Unauthorized
Not Found
Conflict
Internal Server Error
POST /v1/configurations/{name}/copy HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}No content
the name of the configuration to revert
Successful Revert, no content
No content
Unauthorized
Not Found
The latest version cannot be reverted, i.e. it has been rolled out.
Internal Server Error
PUT /v1/configurations/{name}/revert HTTP/1.1
Accept: */*
No content
Last updated
Was this helpful?